local PacificNoose = {}

function PacificNoose.unload() end
function PacificNoose.init() end

local NooseID = GAMEPLAY.GET_HASH_KEY("s_m_y_swat_01") --NOOSE
local nooseWeaponHash = GAMEPLAY.GET_HASH_KEY("WEAPON_CARBINERIFLE") --WEAPON
local riotHash = GAMEPLAY.GET_HASH_KEY("riot") --Swat Van

local insideSpawn = false
local noosePedI = {}
local numberOfNooseI = 6

local outsideSpawn = false
local noosePedO = {}
local numberOfNooseO = 5

local truckSpawn = false
local riotTruck = {}
local numberOfRiot = 2

function PacificNoose.tick() end

--Noose Storm Bank
function spawnNooseInside() 
	STREAMING.REQUEST_MODEL(NooseID)
	while(not STREAMING.HAS_MODEL_LOADED(NooseID)) do
				wait(50)
	end
	
	local spawnX = {263.492,263.198,262.577,251.374, 252.231,254.062}
	local spawnY = {214.766,214.142,212.663,214.202,218.218,213.440}
	local spawnZ = {106.283,106.283,106.283,106.287,106.287,106.287}
	local spawnH = {0,0,0,0,0,0}
	
	
	for i = 1, numberOfNooseI do
		noosePedI[i] = PED.CREATE_PED(1, NooseID, spawnX[i], spawnY[i], spawnZ[i], spawnH[i], true, true)
		PED.SET_PED_CAN_SWITCH_WEAPON(noosePedI[i], true)
		WEAPON.GIVE_DELAYED_WEAPON_TO_PED(noosePedI[i], nooseWeaponHash, 1000, false)
		PED.SET_PED_RELATIONSHIP_GROUP_HASH(noosePedI[i], GAMEPLAY.GET_HASH_KEY("COP"))
		AI.TASK_COMBAT_PED(noosePedI[i], PLAYER.PLAYER_PED_ID(),1 ,1)
		ENTITY.SET_ENTITY_INVINCIBLE(noosePedI[i], false)
		PED.SET_PED_PROP_INDEX(noosePedI[i], 0, 0, 0, 0)
		ENTITY.SET_PED_AS_NO_LONGER_NEEDED(noosePedI[i])
		print("NOOSE SPAWNED INSIDE")
	end
	insideSpawn = true
	STREAMING.SET_MODEL_AS_NO_LONGER_NEEDED(NooseID)
end

--Noose Setup Outside
function spawnNooseOutside() 

	STREAMING.REQUEST_MODEL(NooseID)
	while(not STREAMING.HAS_MODEL_LOADED(NooseID)) do
				wait(50)
	end

	local spawnX = {190.013,197.692,204.072,237.670,232.707}
	local spawnY = {218.145,224.996,229.171,164.698,166.548}
	local spawnZ = {105.591,105.564,105.495,105.098,105.187}
	local spawnH = {0,0,0,0,0,0,0,0,0,0,0,0}
	
	
	for i = 1, numberOfNooseO do
		noosePedO[i] = PED.CREATE_PED(1, NooseID, spawnX[i], spawnY[i], spawnZ[i], spawnH[i], true, true)
		PED.SET_PED_CAN_SWITCH_WEAPON(noosePedO[i], true)
		WEAPON.GIVE_DELAYED_WEAPON_TO_PED(noosePedO[i], nooseWeaponHash, 1000, false)
		PED.SET_PED_RELATIONSHIP_GROUP_HASH(noosePedO[i], GAMEPLAY.GET_HASH_KEY("COP"))
		AI.TASK_COMBAT_PED(noosePedO[i], PLAYER.PLAYER_PED_ID(),1 ,1)
		ENTITY.SET_ENTITY_INVINCIBLE(noosePedO[i], false)
		PED.SET_PED_PROP_INDEX(noosePedO[i], 0, 0, 0, 0)
		ENTITY.SET_PED_AS_NO_LONGER_NEEDED(noosePedO[i])
		print("NOOSE SPAWNED OUTSIDE")
	end
	outsideSpawn = true
	STREAMING.SET_MODEL_AS_NO_LONGER_NEEDED(NooseID)
end

--Spawn Riot Trucks
function spawnRiotTruck() 
	STREAMING.REQUEST_MODEL(riotHash)
	while(not STREAMING.HAS_MODEL_LOADED(riotHash)) do
				wait(50)
	end
	
	local spawnX = {209.620,216.098}
	local spawnY = {203.181,226.618}
	local spawnZ = {105.562,105.618}
	local spawnH = {225,45}
	
	for i = 1, numberOfRiot do
		riotTruck[i] = VEHICLE.CREATE_VEHICLE(riotHash, spawnX[i], spawnY[i], spawnZ[i], spawnH[i], true, true)
		VEHICLE.SET_VEHICLE_ON_GROUND_PROPERLY(riotTruck[i])
	end

	truckSpawn = true
	STREAMING.SET_MODEL_AS_NO_LONGER_NEEDED(riotHash)

end

function deleteSpawns()

		for i = 1, numberOfRiot do
			VEHICLE.DELETE_VEHICLE(riotTruck[i])
		end
		
end


return PacificNoose